Subject: bug#26735: Unable to build emacs with Intel compilers

From: Paul Eggert <[email-masked]>
Date: Fri, 19 May 2017 00:59:28 -0700

> I'm trying to build emacs 25.2 with Intel 17.0.2 on CentOS 7.3, but the build is crashing with the following error message:
> 
> 
> alloc.c(1383): error: identifier "max_align_t" is undefined
>     return (MALLOC_IS_GC_ALIGNED || (intptr_t) p % GCALIGNMENT == 0
>             ^
> 
> alloc.c(1407): error: identifier "max_align_t" is undefined
>     if (! MALLOC_IS_GC_ALIGNED)
>           ^
> 
> 
> Do you have any idea what might be causing this? I can send you the full build log if it will help.

The build log will help, yes. Please gzip the output of 'configure' and of 
'make' and the contents of 'config.log', and attach the resulting file.

I assume Intel's <stddef.h> does not define max_align_t as C11 requires; is that 
right? If so, the 'configure' command is supposed to arrange for lib/stddef.h to 
define max_align_t.

Apparently this is not working for you. Does 'make' build a file lib/stddef.h at 
all? If not, why not? If so, what does lib/stddef.h contain?